Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.plugin
Class PluginConfiguration

    java.lang.Object
      |
      +--com.bea.wlpi.server.plugin.PluginConfiguration

public class PluginConfiguration
extends java.lang.Object
implements java.io.Serializable, PluginConstants

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `config`
`PluginHome` | `home`
`PluginInfo` | `info`
`int[]` | `masters`
`java.lang.String` | `name`
`int[]` | `slaves`
`int` | `startMode`
`int` | `status`
`VersionInfo` | `version`

Constructor Summary
`PluginConfiguration(PluginHome home, java.lang.String name, VersionInfo version, PluginInfo info)` Create a new PluginConfiguration.
`PluginConfiguration(java.lang.String name, VersionInfo version, int startMode, java.lang.String config)` Create a new PluginConfiguration.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`ConfigurationData` | `getConfigurationData()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final java.lang.String name

### version

    public final VersionInfo version

### home

    public PluginHome home

### info

    public PluginInfo info

### config

    public java.lang.String config

### startMode

    public int startMode

### status

    public int status

### masters

    public int[] masters

### slaves

    public int[] slaves

Constructor Detail

### PluginConfiguration

    public PluginConfiguration(java.lang.String name,
                               VersionInfo version,
                               int startMode,
                               java.lang.String config)

  Create a new PluginConfiguration. This constructor is used by PluginManagerDAO when retrieving plugin configuration from the database.

### PluginConfiguration

    public PluginConfiguration(PluginHome home,
                               java.lang.String name,
                               VersionInfo version,
                               PluginInfo info)

  Create a new PluginConfiguration. This constructor is used by PluginManager for deployed but unconfigured plugins found in JNDI.

Method Detail

### getConfigurationData

    public ConfigurationData getConfigurationData()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)